PUT/api/v1/shop/{shopId}

Update Shop

Update the existing Shop

This API endpoint allows users to edit an existing shop by providing the shop ID, one shop at a time (market removal is not supported through this method). The request body must follow the specified format.

Mandatory Fields - "shopId"

PUT/api/v1/shop/{shopId}

Parameter Details

NameInTypeRequiredDescription
shopIdpathstring(string)Requirednone
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestRequest data failed validation(s)None
401UnauthorizedAuthentication Failed!None
429Too Many RequestsToo Many Requests.None
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT https://api.flightrates.example.com/api/v1/shop/{shopId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "_OD": [
    {
      "OD": "YXZMAI",
      "_flyFrom": "67fe5364708e396a7183c1d0",
      "_flyTo": "64ae8d14d06e77f95bff141b"
    }
  ],
  "_sources": [
    "66054bd62035f94f4ad8bfa4"
  ],
  "_alternateSources": [
    "64ae65cfd06e77f95bfefea6"
  ],
  "_cabinClasses": [
    "6013a6abf553c71d4dfbe92d"
  ],
  "_carriers": [
    "65ef126905a50001f87961b2"
  ],
  "isRoundTrip": true,
  "los": 1,
  "horizons": [
    "0",
    "3-10",
    "02/05/2025",
    "10/06/2025-10/08/2025"
  ],
  "pax": {
    "adults": 1,
    "infants": 0,
    "children": 0
  },
  "noOfStops": [
    0,
    1
  ],
  "duration": {
    "outbound": {
      "hour": 40,
      "minute": 30
    },
    "inbound": {
      "hour": 40,
      "minute": 30
    }
  },
  "fareType": "Doctors",
  "_pos": "64ae807cd06e77f95bff07be",
  "_currency": "64ae7d3ed06e77f95bff0563",
  "shopName": "Flightshop name",
  "deliveryMode": [
    "db"
  ],
  "isActiveStatus": true
}

Example responses

200 Response
{
  "error": false,
  "shop": {
    "pax": {
      "adults": 1,
      "infants": 0,
      "children": 0
    },
    "duration": {
      "outbound": {
        "hour": 120,
        "minute": 59
      },
      "inbound": {
        "hour": 240,
        "minute": 58
      }
    },
    "_id": "6a0a988c22b59dfecdc099fd",
    "_OD": [
      {
        "OD": "CJBMAA",
        "_flyFrom": "64ae8d14d06e77f95bff1412",
        "_flyTo": "64ae8d14d06e77f95bff141b"
      }
    ],
    "_sources": [
      "66054bd62035f94f4ad8bfa4"
    ],
    "_alternateSources": [
      "64ae65cfd06e77f95bfefea6"
    ],
    "_carriers": [
      "65ef126905a50001f87961b2"
    ],
    "isRoundTrip": true,
    "los": 0,
    "_cabinClasses": [
      "6013a6abf553c71d4dfbe92d"
    ],
    "_pos": "64ae807cd06e77f95bff07be",
    "posName": "United Kingdom",
    "_currency": "64ae7d3ed06e77f95bff0563",
    "currencyName": "ZMW",
    "horizons": [
      "0",
      "3-10",
      "02/05/2025",
      "10/06/2025-10/08/2025"
    ],
    "noOfStops": [
      0,
      1
    ],
    "fareType": "Doctors",
    "startDate": "2019-08-24",
    "shopName": "Newest shop",
    "_user": "68259a3abc32ad9c221757dc",
    "userName": "devteam",
    "deliveryMode": [
      "db"
    ],
    "isActiveStatus": true,
    "isRealtime": false,
    "vertical": "flightrates",
    "isCustomerCreated": true,
    "createdAt": "2026-05-18T04:41:48.439Z",
    "updatedAt": "2026-05-18T04:46:07.046Z",
    "id": "6a0a988c22b59dfecdc099fd"
  }
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.